public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Mike Frysinger" <vapier@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-arch/dump/
Date: Mon,  9 May 2016 06:41:16 +0000 (UTC)	[thread overview]
Message-ID: <1462776051.323e36c233ce121f2deff9a5c4169e9cf2a2d799.vapier@gentoo> (raw)

commit:     323e36c233ce121f2deff9a5c4169e9cf2a2d799
Author:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
AuthorDate: Mon May  9 06:40:47 2016 +0000
Commit:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
CommitDate: Mon May  9 06:40:51 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=323e36c2

app-arch/dump: version bump to 0.4.45

 app-arch/dump/Manifest           |  1 +
 app-arch/dump/dump-0.4.45.ebuild | 78 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 79 insertions(+)

diff --git a/app-arch/dump/Manifest b/app-arch/dump/Manifest
index 8c184d0..a1e1056 100644
--- a/app-arch/dump/Manifest
+++ b/app-arch/dump/Manifest
@@ -1 +1,2 @@
 DIST dump-0.4b44.tar.gz 296691 SHA256 78cb75632ac5e99dca38af3a2574303eee3c5a7af464011d279421d8b0e64f96 SHA512 3db828bac026d872913f0e010378366919fbb523d22f1863c06017581e4f4a1c5a239199794ca1158b04e7e3ecbb596d77b131b3278bed29fcfcd3835a3351d4 WHIRLPOOL 43dfc8fb996b443b9d9a9d9ecbf7d01f3db6eaba7acc92ab35ee0930ebdc7666855fc6b78b25450ae3790c6f10093036e0fc733385d7e8dc808bb614b681135a
+DIST dump-0.4b45.tar.gz 579802 SHA256 f2feef14e9b764f8763879f044957564926f493a5ecd69cefa79a258c1e66c8a SHA512 8bb961cfbec7b06a0a796c15e35342b694a0a5e4214be6b0093a3b016340bce8d76b86cad64ca80301a3cbaebb7ec23b32c5145069f793266f4f8c60d98933cf WHIRLPOOL 0b8beb09bf0c9ddd9399f25a989117759ef6ec578a148897de14904292885cf9a30e0a8d1f0cd2bdab852fac3653f43d26393236260568f11c16813d4f27b5ce

diff --git a/app-arch/dump/dump-0.4.45.ebuild b/app-arch/dump/dump-0.4.45.ebuild
new file mode 100644
index 0000000..c8b7cec
--- /dev/null
+++ b/app-arch/dump/dump-0.4.45.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="5"
+
+MY_P=${P/4./4b}
+S=${WORKDIR}/${MY_P}
+DESCRIPTION="Dump/restore ext2fs backup utilities"
+HOMEPAGE="http://dump.sourceforge.net/"
+SRC_URI="mirror://sourceforge/dump/${MY_P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="bzip2 debug ermt libressl lzo readline selinux sqlite ssl static zlib"
+REQUIRED_USE="
+	ermt? ( ssl )
+	ssl? ( zlib )
+"
+
+RDEPEND=">=sys-fs/e2fsprogs-1.27:=
+	>=sys-libs/e2fsprogs-libs-1.27:=
+	sys-apps/util-linux
+	bzip2? ( >=app-arch/bzip2-1.0.2:= )
+	zlib? ( >=sys-libs/zlib-1.1.4:= )
+	lzo? ( dev-libs/lzo:2= )
+	sqlite? ( dev-db/sqlite:3= )
+	ermt? (
+		!libressl? ( dev-libs/openssl:0= )
+		libressl? ( dev-libs/libressl:0= )
+	)
+	ssl? (
+		!libressl? ( dev-libs/openssl:0= )
+		libressl? ( dev-libs/libressl:0= )
+	)
+	readline? (
+		sys-libs/readline:0=
+		sys-libs/ncurses:=
+		static? ( sys-libs/ncurses:=[static-libs] )
+	)"
+DEPEND="${RDEPEND}
+	virtual/pkgconfig
+	virtual/os-headers"
+
+src_configure() {
+	econf \
+		--with-dumpdatespath=/etc/dumpdates \
+		--with-rmtpath='$(sbindir)/rmt' \
+		--enable-blkid \
+		--disable-uuid \
+		$(use_enable selinux) \
+		$(use_enable ermt) \
+		$(use_enable static static-progs) \
+		$(use_enable readline) \
+		$(use_enable debug) \
+		$(use_enable sqlite) \
+		$(use_enable bzip2) \
+		$(use_enable zlib) \
+		$(use_enable lzo) \
+		$(use_enable ssl)
+}
+
+src_install() {
+	default
+	mv "${ED}"/usr/sbin/{,dump-}rmt || die
+	mv "${ED}"/usr/share/man/man8/{,dump-}rmt.8 || die
+	use ermt && newsbin rmt/ermt dump-ermt
+
+	dodoc KNOWNBUGS MAINTAINERS REPORTING-BUGS
+	dodoc -r examples
+}
+
+pkg_postinst() {
+	if [[ -z ${REPLACING_VERSIONS} ]] ; then
+		ewarn "app-arch/dump installs 'rmt' as 'dump-rmt'."
+		ewarn "This is to avoid conflicts with app-arch/tar 'rmt'."
+	fi
+}


             reply	other threads:[~2016-05-09  6:41 UTC|newest]

Thread overview: 37+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-05-09  6:41 Mike Frysinger [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-08 19:19 [gentoo-commits] repo/gentoo:master commit in: app-arch/dump/ Arthur Zamarin
2024-03-13 21:04 Sam James
2023-09-19  5:38 Arthur Zamarin
2023-09-08  0:12 Sam James
2023-08-24 18:05 Arthur Zamarin
2023-07-24 22:50 Sam James
2023-07-24 18:16 Sam James
2023-07-24 13:39 Arthur Zamarin
2023-07-24 13:39 Arthur Zamarin
2023-06-06 17:48 Ulrich Müller
2021-09-13 20:30 David Seifert
2021-04-07 22:45 Sam James
2021-04-07  9:20 Sergei Trofimovich
2021-04-06 19:53 Sam James
2021-04-06 19:53 Sam James
2021-04-06 17:21 David Seifert
2021-04-05 19:01 Thomas Deutschmann
2021-04-05 17:28 David Seifert
2021-01-06 19:21 Andreas K. Hüttel
2021-01-04 14:53 Lars Wendler
2020-09-26 14:33 Aaron Bauman
2019-10-14  2:18 Matt Turner
2019-09-09  6:02 Agostino Sarubbo
2019-09-09  6:00 Agostino Sarubbo
2019-09-09  5:50 Agostino Sarubbo
2019-09-09  5:49 Agostino Sarubbo
2019-09-08 10:42 Agostino Sarubbo
2019-09-07 21:07 Thomas Deutschmann
2019-07-15  8:36 Lars Wendler
2017-07-16  0:47 Aaron Bauman
2016-12-02 14:21 Tobias Klausmann
2016-12-01 12:53 Agostino Sarubbo
2016-12-01 12:51 Agostino Sarubbo
2016-11-29 16:02 Lars Wendler
2016-03-21 21:46 Anthony G. Basile
2015-12-15 20:32 Anthony G. Basile

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1462776051.323e36c233ce121f2deff9a5c4169e9cf2a2d799.vapier@gentoo \
    --to=vapier@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox